import 'package:args/command_runner.dart';
import 'package:enge/makers/migration_maker.dart';

class MakeMigrationCommand extends Command {
  final name = 'make:migration';
  final description = 'Build a new migration.';

  void run() {
    final name = getMigrationName();

    MigrationMaker(name).make();
  }

  String getMigrationName() {
    final args = argResults.rest;

    if (args.isEmpty) {
      throw ArgumentError('The migration name was not entered.');
    }

    return args[0];
  }
}
